Package com.google.android.exoplayer2

## Class MediaItem.LiveConfiguration

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.LiveConfiguration

- All Implemented Interfaces:
    `Bundleable`
  Enclosing class:
    MediaItem

      public static final class MediaItem.LiveConfiguration
      extends Object
      implements Bundleable

  Live playback configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MediaItem.LiveConfiguration.Builder` | Builder for `MediaItem.LiveConfiguration` instances.

    - ### Nested classes/interfaces inherited from interface com.google.android.exoplayer2.Bundleable

      `Bundleable.Creator<T extends Bundleable>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Bundleable.Creator<MediaItem.LiveConfiguration>` | `CREATOR` | Object that can restore `MediaItem.LiveConfiguration` from a `Bundle`.
    `long` | `maxOffsetMs` | The maximum allowed offset from the live edge, in milliseconds, or `C.TIME_UNSET` to use the media-defined default.
    `float` | `maxPlaybackSpeed` | Maximum factor by which playback can be sped up, or `C.RATE_UNSET` to use the media-defined default.
    `long` | `minOffsetMs` | The minimum allowed offset from the live edge, in milliseconds, or `C.TIME_UNSET` to use the media-defined default.
    `float` | `minPlaybackSpeed` | Minimum factor by which playback can be sped up, or `C.RATE_UNSET` to use the media-defined default.
    `long` | `targetOffsetMs` | Target offset from the live edge, in milliseconds, or `C.TIME_UNSET` to use the media-defined default.
    `static MediaItem.LiveConfiguration` | `UNSET` | A live playback configuration with unset values, meaning media-defined default values will be used.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LiveConfiguration​(long targetOffsetMs, long minOffsetMs, long maxOffsetMs, float minPlaybackSpeed, float maxPlaybackSpeed)` | Deprecated. Use `MediaItem.LiveConfiguration.Builder` instead.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem.LiveConfiguration.Builder` | `buildUpon()` | Returns a `MediaItem.LiveConfiguration.Builder` initialized with the values of this instance.
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `Bundle` | `toBundle()` | Returns a `Bundle` representing the information stored in this object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNSET

          public static final MediaItem.LiveConfiguration UNSET

      A live playback configuration with unset values, meaning media-defined default values will be used.

    - #### targetOffsetMs

          public final long targetOffsetMs

      Target offset from the live edge, in milliseconds, or `C.TIME_UNSET` to use the media-defined default.

    - #### minOffsetMs

          public final long minOffsetMs

      The minimum allowed offset from the live edge, in milliseconds, or `C.TIME_UNSET` to use the media-defined default.

    - #### maxOffsetMs

          public final long maxOffsetMs

      The maximum allowed offset from the live edge, in milliseconds, or `C.TIME_UNSET` to use the media-defined default.

    - #### minPlaybackSpeed

          public final float minPlaybackSpeed

      Minimum factor by which playback can be sped up, or `C.RATE_UNSET` to use the media-defined default.

    - #### maxPlaybackSpeed

          public final float maxPlaybackSpeed

      Maximum factor by which playback can be sped up, or `C.RATE_UNSET` to use the media-defined default.

    - #### CREATOR

          public static final Bundleable.Creator<MediaItem.LiveConfiguration> CREATOR

      Object that can restore `MediaItem.LiveConfiguration` from a `Bundle`.

  - ### Constructor Detail

    - #### LiveConfiguration

          @Deprecated
          public LiveConfiguration​(long targetOffsetMs,
                                   long minOffsetMs,
                                   long maxOffsetMs,
                                   float minPlaybackSpeed,
                                   float maxPlaybackSpeed)

      Deprecated.
      Use `MediaItem.LiveConfiguration.Builder` instead.

  - ### Method Detail

    - #### buildUpon

          public MediaItem.LiveConfiguration.Builder buildUpon()

      Returns a `MediaItem.LiveConfiguration.Builder` initialized with the values of this instance.

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toBundle

          public Bundle toBundle()

      Description copied from interface: `Bundleable`
      Returns a `Bundle` representing the information stored in this object.
      Specified by:
        `toBundle` in interface `Bundleable`